List Streams
curl --request GET \
--url https://streaming.lingopal.ai/v1/streams \
--header 'X-API-Key: <api-key>'import requests
url = "https://streaming.lingopal.ai/v1/streams"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://streaming.lingopal.ai/v1/streams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"detail": [
"<string>"
]
}Streams
List Streams
List streams with pagination and optional state filter.
GET
/
v1
/
streams
List Streams
Description
This endpoint lists all streams, with support for pagination and optional filtering by stream state. Use this to view all your active, scheduled, or completed streams. See the Quickstart guide for usage context.Authentication
This endpoint requires an API Key.Include your API key in the
x-api-key header:
x-api-key: YOUR_API_KEY
Request
- Method: GET
- Endpoint:
/v1/streams - Query Parameters:
page(integer, optional, default: 1): Page numberpage_size(integer, optional, default: 10): Number of items per pagestream_state(string, optional): Stream states are LIVE, STUCK and INIT
Response
- Status: 200 OK
- Content-Type:
application/json
"string"
Example Usage (cURL)
curl -X GET "https://streaming.lingopal-dev.com/v1/streams?page=1&page_size=10" \
-H "x-api-key: YOUR_API_KEY"